1 Reply Latest reply on Nov 18, 2011 11:05 AM by Wolf-Dieter Fink

    Moving old .ear app to new server running jbossas 4 w ejb3

    Dante Bell Newbie

      Hi Everyone,

       

      I've been tasked with moving an old (10+ years) .ear application writtin for JBoss AS 2 to new hardware running Oracle Linux 5u2, JBoss AS 4.2.3.GA, Java 1.5.09 and I've just downloaded and installed the EJB installer 1.0.19.

       

      I've chosen the new combination of software because the application needs to connect via ojdbc to an Oracle 10g RDMS residing on the same server. This seems to be the configuration that is supposed to work But, I don't see anything regarding which version of EJB3 to use, if at all as I suspect the app was written for EJB2.

       

      When I deploy the .ear file I get the following error:

       

      ejb-jar.xml must either obey the right schema or define a valid DOCTYPE!

       

      This error led me to installing EJB3 but that hasn't helped

       

      Any other suggestions?

       

      Here's a snippet of the ejb-jar.xml:

       

      <?xml version="1.0" encoding="iso-8859-1"?>

          <ejb-jar>

             <description>PlanLink Application</description>

              <display-name>PlanLink</display-name>

       

              <enterprise-beans>

                  <session>

                      <ejb-name>ejb/ValidateLogin</ejb-name>